function retryUpload() {
    $("#loadingModal").modal('show');
    $.ajax({
        type : "GET",
        url : "http://localhost:18080/upload/retryUpload",
        success : function(res) {
            if(res){
                $("#loadingModal").modal('hide');
                alert("成功上传" + res + "条记录")
            } else {
                $("#loadingModal").modal('hide');
            }
        },
        error : function(e){
            $("#loadingModal").modal('hide');
        }
    });
}
function uploadDocStatus() {
    $("#loadingModal").modal('show');
    $.ajax({
        type : "GET",
        url : "http://localhost:18080/upload/uploadDocStatus",
        success : function(res) {
            if(res){
                $("#loadingModal").modal('hide');
                alert("成功上传" + res + "条记录")
            } else {
                $("#loadingModal").modal('hide');
            }
        },
        error : function(e){
            $("#loadingModal").modal('hide');
        }
    });
}

function uploadByFile() {
    $("#loadingModal").modal('show');
    $.ajax({
        type : "GET",
        url : "http://localhost:18080/upload/uploadByFile",
        success : function(res) {
            if(res){
                $("#loadingModal").modal('hide');
                alert("成功上传" + res + "条记录")
            } else {
                $("#loadingModal").modal('hide');
            }
        },
        error : function(e){
            $("#loadingModal").modal('hide');
        }
    });
}

function submit() {
    let req = $("#req").val()
    if(!req) {
        alert("报文不能为空")
        return false
    }
    $("#loadingModal").modal('show');
    $.ajax({
        type : "POST",
        //请求的媒体类型
        contentType: "application/text;charset=UTF-8",
        //请求地址
        url : "http://localhost:18080/upload/runservice",
        data : req,
        success : function(res) {
            $("#loadingModal").modal('hide');
            if(res && res == "0"){
                alert("上传成功")
                $("#req").val("")
            } else {
                alert("上传失败")
            }
        },
        error : function(e){
            $("#loadingModal").modal('hide');
        }
    });
}
function submitOrder() {
    let req = $("#resp").val()
    if(!req) {
        alert("报文不能为空")
        return false
    }
    $("#loadingModal").modal('show');
    $.ajax({
        type : "POST",
        //请求的媒体类型
        contentType: "application/text;charset=UTF-8",
        //请求地址
        url : "http://localhost:18080/runservice",
        data : req,
        success : function(res) {
            $("#loadingModal").modal('hide');
            if(res && res == "0"){
                alert("上传成功")
            } else {
                alert("上传失败")
            }
        },
        error : function(e){
            $("#loadingModal").modal('hide');
        }
    });
}
function submitDoc() {
    let req = $("#doc-resp").val()
    if(!req) {
        alert("报文不能为空")
        return false
    }
    $("#loadingModal").modal('show');
    $.ajax({
        type : "POST",
        //请求的媒体类型
        contentType: "application/text;charset=UTF-8",
        //请求地址
        url : "http://localhost:18080/runservice",
        data : req,
        success : function(res) {
            $("#loadingModal").modal('hide');
            if(res && res == "0"){
                alert("上传成功")
            } else {
                alert("上传失败")
            }
        },
        error : function(e){
            $("#loadingModal").modal('hide');
        }
    });
}

function uploadCsv(fileName) {
    $("#loadingModal").modal('show');
    $.ajax({
        type : "GET",
        //请求地址
        url : "http://localhost:18080/uploadByFile?filePath=" + fileName,
        success : function(res) {
            $("#loadingModal").modal('hide');
            if(res){
                alert("成功上传" + res + "条记录")
            } else {
                alert("上传失败")
            }
        },
        error : function(e){
            $("#loadingModal").modal('hide');
        }
    });
}
function exportHos() {
    $("#loadingModal").modal('show');
    $.ajax({
        type : "GET",
        //请求地址
        url : "http://localhost:18080/export/exportHos",
        success : function(res) {
            $("#loadingModal").modal('hide');
            if(res){
                alert("导出成功,主单数据" + res.preDateCount + "条,状态数据" + res.confDateCount + "条")
            } else {
                alert("导出失败")
            }
        },
        error : function(e){
            // $("#loadingModal").modal('hide');
        }
    });
}
function exportCli() {
    $("#loadingModal").modal('show');
    $.ajax({
        type : "GET",
        //请求地址
        url : "http://localhost:18080/export/exportCli",
        success : function(res) {
            $("#loadingModal").modal('hide');
            if(res){
                alert("导出成功,主单数据" + res.preDateCount + "条,状态数据" + res.confDateCount + "条")
            } else {
                alert("导出失败")
            }
        },
        error : function(e){
            $("#loadingModal").modal('hide');
        }
    });
}